<form class="{{cssClass}}" autocomplete="off">
    <header class="item-sheet-header">
        <img class="profile-img" src="{{item.img}}" data-edit="img" title="{{item.name}}"/>
        <div class="header-fields">
            <h1 class="charname"><input name="name" class="itemname" type="text" value="{{item.name}}" placeholder="Name"/></h1>
            <h3 class="typelabel cItem">PROPERTY</h3>
        </div>
    </header>

    {{!-- Sheet Tab Navigation --}}
    <div class="atabs">
        <nav class="sheet-tabs tabs" data-group="primary">
            <a class="item item-tab-button" data-tab="description">Description</a>
            <a class="item item-tab-button" data-tab="details">Details</a>
        </nav>
    </div>
    {{!-- Sheet Body --}}
    <section class="sheet-body">
        {{!-- Description Tab --}}
        <div class="tab biography active" data-group="primary" data-tab="description">
            {{editor content=data.data.description target="data.description" button=true owner=owner editable=editable}}
        </div>

        {{!-- Details Tab --}}
        <div class="tab biography scrollable active" data-group="primary" data-tab="details">
            <div class="flexblock">
                <div class="col-1-2">
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Key</label>
                            <input type="text" name="data.attKey" value="{{data.data.attKey}}"/>
                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Data Type</label>
                            <select name="data.datatype"  data-type="String">
                                {{#select item.data.data.datatype}}
                                {{#each item.data.data.dtypes as |dtype key|}}
                                <option  value="{{key}}">{{key}}</option> {{/each}} {{/select}}
                            </select>
                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Hidden</label>
                            <input class="check-ishidden" name="data.ishidden" id="check-ishidden" type="checkbox" {{checked item.data.data.ishidden}}/>
                        </div>
                    </div>

                    {{#if item.data.data.ishidden}}
                    {{else}}
                    {{#ifNot item.data.data.datatype "table"}}
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Tag</label>
                            <input type="text" name="data.tag" value="{{data.data.tag}}"/>
                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Rollable</label>
                            <input class="check-hasroll" name="data.hasroll" id="check-hasroll" type="checkbox" {{checked item.data.data.hasroll}}/>
                        </div>
                    </div>
                    {{#ifCond item.data.data.datatype "simplenumeric"}}
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Totalize</label>
                            <input class="check-totalize" name="data.totalize" id="check-totalize" type="checkbox" {{checked item.data.data.totalize}}/>
                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Show Arrows</label>
                            <input class="check-arrows" name="data.arrows" id="check-arrows" type="checkbox" {{checked item.data.data.arrows}}/>
                        </div>
                    </div>
                    {{/ifCond}}
                    {{/ifNot}}
                    {{#ifCond item.data.data.datatype "table"}}
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Group (drop here)</label>
                            <input type="text" name="data.group.name" value="{{data.data.group.name}}" readonly>
                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Editable</label>
                            <input class="check-editable" name="data.editable" id="check-editable" type="checkbox" {{checked item.data.data.editable}}/>
                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Has Header?</label>
                            <input class="check-hasheader" name="data.hasheader" id="check-hasheader" type="checkbox" {{checked item.data.data.hasheader}}/>
                        </div>
                    </div>

                    {{#ifCond item.data.data.datatype "table"}}
                    {{#if item.data.data.hasheader}}
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Column Name</label>
                            {{#if data.data.namecolumn}}
                            <input type="text" name="data.namecolumn" value="{{data.data.namecolumn}}"/>
                            {{else}}
                            <input type="text" name="data.namecolumn" value="Item"/>
                            {{/if}}
                        </div>
                    </div>
                    {{/if}}
                    {{/ifCond}}


                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Is Free?</label>
                            <input class="check-isfreetable" name="data.isfreetable" id="check-isfreetable" type="checkbox" {{checked item.data.data.isfreetable}}/>
                        </div>
                    </div>

                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Transferrable</label>
                            <input class="check-transferrable" name="data.transferrable" id="check-transferrable" type="checkbox" {{checked item.data.data.transferrable}}/>
                        </div>
                    </div>


                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Height</label>
                            <select name="data.tableheight"  data-type="String">
                                {{#select item.data.data.tableheight}}
                                <option  value="F">FREE</option>
                                <option  value="S">SMALL</option>
                                <option  value="M">MED</option>
                                <option  value="T">TALL</option>
                                {{/select}}
                            </select>
                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Item Names</label>
                            <select name="data.onlynames"  data-type="String">
                                {{#select item.data.data.onlynames}}
                                <option  value="DEFAULT">YES</option>
                                <option  value="NO_NAMES">NO</option>
                                <option  value="ONLY_NAMES">ONLY NAMES</option>
                                {{/select}}
                            </select>
                        </div>
                    </div>
                    {{#ifCond item.data.data.onlynames "ONLY_NAMES"}}
                    {{else}}
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Show Units?</label>
                            <input class="check-hasunits" name="data.hasunits" id="check-hasunits" type="checkbox" {{checked item.data.data.hasunits}}/>

                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Show Uses?</label>
                            <input class="check-hasuses" name="data.hasuses" id="check-hasuses" type="checkbox" {{checked item.data.data.hasuses}}/>
                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Show Activation?</label>
                            <input class="check-hasactivation" name="data.hasactivation" id="check-hasactivation" type="checkbox" {{checked item.data.data.hasactivation}}/>
                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Show Totals?</label>
                            <input class="check-hastotals" name="data.hastotals" id="check-hastotals" type="checkbox" {{checked item.data.data.hastotals}}/>
                        </div>
                    </div>

                    {{/ifCond}}
                    {{/ifCond}}

                    {{/if}}
                </div>
                <div class="col-1-2">

                    {{#ifNot item.data.data.datatype "table"}}
                    {{#ifNot item.data.data.datatype "label"}}
                    <div class="new-row">

                        <div class="flexblock-left">
                            <label class="label-medlarge">Default Value</label>
                            <input type="text" name="data.defvalue" value="{{data.data.defvalue}}"/>
                        </div>
                    </div>
                    {{#if item.data.data.ishidden}}
                    {{else}}
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Editable</label>
                            <input class="check-editable" name="data.editable" id="check-editable" type="checkbox" {{checked item.data.data.editable}}/>
                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Has Label?</label>
                            <input class="check-haslabel" name="data.haslabel" id="check-haslabel" type="checkbox" {{checked item.data.data.haslabel}}/>
                        </div>
                    </div>
                    {{/if}}

                    {{/ifNot}}

                    {{#if item.data.data.ishidden}}
                    {{else}}
                    {{#if item.data.data.haslabel}}
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Label size</label>
                            <select  name="data.labelsize"  data-type="String">
                                {{#select item.data.data.labelsize}}
                                <option  value="F">Fit</option>
                                <option  value="S">Small</option>
                                <option  value="T">Tiny</option>
                                <option  value="M">Medium</option>
                                <option  value="L">Large</option>
                                {{/select}}
                            </select>
                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Label Format</label>
                            <select  name="data.labelformat"  data-type="String">
                                {{#select item.data.data.labelformat}}
                                <option  value="N">Normal</option>
                                <option  value="B">Bold</option>
                                <option  value="S">Small</option>
                                <option  value="D">Die</option>
                                {{/select}}
                            </select>
                        </div>
                    </div>

                    {{/if}}
                    {{/if}}
                    {{/ifNot}}

                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge" title="Adds this class to the label's HTML style for ease of edition" >Font Group</label>
                            <input type="text" name="data.fontgroup" value="{{data.data.fontgroup}}"/>
                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge" title="Adds this class to the input's HTML style for ease of edition" >Input Group</label>
                            <input type="text" name="data.inputgroup" value="{{data.data.inputgroup}}"/>
                        </div>
                    </div>

                    {{#ifCond item.data.data.datatype "simpletext"}}
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Input Size</label>
                            <select  name="data.inputsize"  data-type="String">
                                {{#select item.data.data.inputsize}}
                                <option  value="F">Fit</option>
                                <option  value="T">Tiny</option>
                                <option  value="S">Small</option>
                                <option  value="M">Medium</option>
                                <option  value="L">Large</option>
                                {{/select}}
                            </select>
                        </div>
                    </div>
                    {{/ifCond}}
                    {{#ifCond item.data.data.datatype "simplenumeric"}}
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Input Size</label>
                            <select  name="data.inputsize"  data-type="String">
                                {{#select item.data.data.inputsize}}
                                <option  value="T">Tiny</option>
                                <option  value="S">Small</option>
                                <option  value="M">Medium</option>
                                <option  value="F">Fit</option>
                                {{/select}}
                            </select>
                        </div>
                    </div>
                    {{/ifCond}}
                    {{#ifCond item.data.data.datatype "textarea"}}
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Input Size</label>
                            <select  name="data.inputsize"  data-type="String">
                                {{#select item.data.data.inputsize}}
                                <option  value="F">Fit</option>
                                <option  value="S">Small</option>
                                <option  value="M">Medium</option>
                                <option  value="L">Large</option>
                                {{/select}}
                            </select>
                        </div>
                    </div>
                    {{/ifCond}}
                </div>

            </div>

            {{#if item.data.data.haslabel}}
            <div class="flexblock">
                <div class="col-1-1">
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Tooltip</label>
                            <textarea name="data.tooltip" >{{data.data.tooltip}}</textarea >
                        </div>
                    </div>

                </div>
            </div>
            {{/if}}

            {{#if item.data.data.hasroll}}
            {{#ifNot item.data.data.datatype "table"}}
            <div class="flexblock">
                <div class="col-1-1">
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Roll Name</label>
                            <input type="text" name="data.rollname" value="{{data.data.rollname}}"/>
                            <label class="label-medlarge">Roll ID</label>
                            <input type="text" name="data.rollid" value="{{data.data.rollid}}"/>
                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Has Dialog</label>
                            <input class="check-hasdialog" name="data.hasdialog" id="check-hasdialog" type="checkbox" {{checked item.data.data.hasdialog}}/>
                            <label class="label-medlarge">Dialog Panel (Drag Here)</label>
                            <input type="text" name="data.dialogName" value="{{data.data.dialogName}}" readonly>
                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Roll Formula</label>
                            <input type="text" name="data.rollexp" value="{{data.data.rollexp}}"/>
                        </div>
                    </div>
                </div>
            </div>
            {{/ifNot}}
            {{/if}}

            {{#ifNot item.data.data.datatype "table"}}
            {{#ifNot item.data.data.datatype "textarea"}}
            {{#ifNot item.data.data.datatype "list"}}
            {{#ifNot item.data.data.datatype "label"}}
            {{#ifNot item.data.data.datatype "checkbox"}}

            <div class="flexblock">
                {{#ifNot item.data.data.datatype "simpletext"}}
                <div class="col-1-2">
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Max Value</label>
                            <input type="text" name="data.automax" value="{{data.data.automax}}"/>
                        </div>
                    </div>
                </div>
                <div class="col-1-4">
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-small righttext">Visible</label>
                            <input class="check-maxvisible" name="data.maxvisible" id="check-maxvisible" type="checkbox" {{checked item.data.data.maxvisible}}/>
                        </div>
                    </div>
                </div>
                <div class="col-1-4">
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-small righttext">Top</label>
                            <input class="check-maxtop" name="data.maxtop" id="check-maxtop" type="checkbox" {{checked item.data.data.maxtop}}/>
                        </div>
                    </div>
                </div>
                {{/ifNot}}
            </div>

            <div class="col-1-1">
                <div class="new-row">
                    <div class="flexblock-left">
                        <label class="label-medlarge">Auto</label>
                        <input type="text" name="data.auto" value="{{data.data.auto}}"/>
                    </div>
                </div>
            </div>



            {{/ifNot}}
            {{/ifNot}}
            {{/ifNot}}
            {{/ifNot}}
            {{/ifNot}}

            {{#ifCond item.data.data.datatype "list"}}
            <div class="flexblock">
                <div class="col-1-1">
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Options (a,b,c)</label>
                            <input type="text" name="data.listoptions" value="{{data.data.listoptions}}"/>
                        </div>
                    </div>
                </div>
            </div>
            {{/ifCond}}

            {{#ifCond item.data.data.datatype "checkbox"}}
            <div class="flexblock">
                <div class="col-1-1">
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Check Group</label>
                            <input type="text" name="data.checkgroup" value="{{data.data.checkgroup}}"/>
                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Custom Image</label>
                            <input class="check-customcheck" name="data.customcheck" id="check-customcheck" type="checkbox" {{checked item.data.data.customcheck}}/>
                        </div>
                    </div>
                    {{#if item.data.data.customcheck}}
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Checked Path</label>
                            <input class="input-medlarge" type="text" name="data.onPath" value="{{data.data.onPath}}"/>
                            <a class="checkonPath" title="Browse Image"><i class="fas fa-file-upload fa-2x"></i></a>
                        </div>
                    </div>
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Unchecked Path</label>
                            <input class="input-medlarge" type="text" name="data.offPath" value="{{data.data.offPath}}"/>
                            <a class="checkoffPath" title="Browse Image"><i class="fas fa-file-upload fa-2x"></i></a>
                        </div>
                    </div>
                    {{/if}}
                </div>
            </div>
            {{/ifCond}}

            {{#ifCond item.data.data.datatype "radio"}}
            <div class="flexblock">
                <div class="col-1-2">
                    <div class="new-row">
                        <div class="flexblock-left">
                            <label class="label-medlarge">Radio type</label>
                            <select  name="data.radiotype"  data-type="String">
                                {{#select item.data.data.radiotype}}
                                <option  value="C">Circle</option>
                                <option  value="S">Square</option>
                                {{/select}}
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            {{/ifCond}}


        </div>
    </section>
</form>